
QGIS Application - Feature request #3704

Shapefile: please improve column management

2011-04-05 11:08 AM - Stemby -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Documentation and Help

Pull Request or Patch supplied: Resolution: invalid

Easy fix?: No Copied to github as #: 13763

Description

From the manual, section 3.4.7. "Attributes Tab":

"At the moment only columns from [[PostGIS]] layers can be removed and added."

That's a very big obstacle for students and simple users. Please, please concentrate your efforts to close that issue.

Thank you very much for your beautiful software.

Regards,

Carlo

History

#1 - 2011-04-05 11:36 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Shapefiles columns can be added without any obstacle in many ways: trough the attributes table itself, trough the vector properties, trough the field

calculator, etc.

Columns cannot be removed but this IS a OGR limitation: in the gdal/ogr trac you'll find a ticket and a patch that awaits to be committed. Until then QGIS

(and any other software that uses gdal/ogr) can only use a workaround to delete shapefile columns. In QGIS this "workaround" is a plugin called TABLE

MANAGER.

#2 - 2011-04-06 02:20 AM - Jürgen Fischer

duplicate of #1446

#3 - 2011-04-06 07:32 AM - Stemby -

Ok, thank you.

I think your clear explication would be useful if inserted in the manual.

Regards,

Carlo
#4 - 2011-04-06 10:48 AM - Giovanni Manghi

Replying to [comment:3 Stemby]:

Ok, thank you.

I think your clear explication would be useful if inserted in the manual.

Regards,

Carlo

You are right: you can see that this trac also has a category for "documentation", so feel free to propose a patch for the manual with a paragraph explaining

better this issue.

#5 - 2011-04-07 04:37 AM - Stemby -

Done: https://trac.osgeo.org/qgis/ticket/3707

Ciao!

Carlo
